package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.Contact;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Object;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetStringParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Sequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.BERConstructedOctetString;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEROutputStream;
import com.jxdinfo.hussar.core.bouncycastle.util.Arrays;
import com.jxdinfo.hussar.core.bouncycastle.util.encoders.Hex;
import com.jxdinfo.hussar.core.feign.TicketRequestBody;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

public abstract class ASN1OctetString extends ASN1Object implements ASN1OctetStringParser {
  byte[] if;
  
  abstract void encode(DEROutputStream paramDEROutputStream) throws IOException;
  
  public byte[] getOctets() {
    return this.if;
  }
  
  public String toString() {
    return (new StringBuilder()).insert(0, Contact.break("\b")).append(new String(Hex.encode(this.if))).toString();
  }
  
  public int hashCode() {
    return Arrays.hashCode(getOctets());
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString)a; 
    while (true) {
      if (a instanceof ASN1TaggedObject)
        return getInstance(((ASN1TaggedObject)a).getObject()); 
      while (true)
        throw new IllegalArgumentException((new StringBuilder()).insert(0, TicketRequestBody.return("+\027(\0058\0064N>\f;\t0\tb)\021G?\03714,\033#\0066\t0Vs")).append(a.getClass().getName()).toString()); 
    } 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, TicketRequestBody.return("+\027(\0058\0064N>\f;\t0\tb)\021G?\03714,\033#\0066\t0Vs")).append(a.getClass().getName()).toString()); 
  }
  
  public ASN1OctetStringParser parser() {
    return this;
  }
  
  public ASN1OctetString(DEREncodable dEREncodable) {
    this.if = dEREncodable.getDERObject().getEncoded("DER");
  }
  
  public InputStream getOctetStream() {
    return new ByteArrayInputStream(this.if);
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString getInstance(ASN1TaggedObject a, int i) {
    DERObject dERObject = a.getObject();
    if (i != 0 || dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString)
      return getInstance(dERObject); 
    while (true)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString)BERConstructedOctetString.fromSequence(ASN1Sequence.getInstance(dERObject)); 
  }
  
  public ASN1OctetString(byte[] arrayOfByte) {
    if (arrayOfByte == null)
      throw new NullPointerException(Contact.break("pn]dV{\tnYDqbL+\\u\005yWrG")); 
    this.if = arrayOfByte;
  }
  
  public DERObject getLoadedObject() {
    return getDERObject();
  }
  
  boolean asn1Equals(DERObject dERObject) {
    if (!(dERObject instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString))
      return false; 
    while (true) {
      com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString aSN1OctetString = (com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1OctetString)dERObject;
      return Arrays.areEqual(this.if, aSN1OctetString.if);
    } 
  }
}
